import axios from "axios";
import qs from "qs";

class Otc {
    constructor(url) {
        /**广告**/
        this.adList = url + '/ad/list'; //查询广告列表 G
        this.cancelAd = url + '/ad/cancelAd'; //撤销广告 P
        /**订单**/
        this.orderList = url + '/order/list'; //查询订单列表 G
        this.orderByOrderNumber = url + '/order/selectByOrderNumber'; //根据订单流水号查询订单 G
        this.orderByAdId = url + '/order/selectByAdId'; //根据广告Id查询订单 G
        /**申诉**/
        this.appealList = url + '/appeal/list'; //查询申诉列表 G
        this.finishOrder = url + '/appeal/finishOrder'; //处理订单为已失效 P
        this.cancelOrder = url + '/appeal/cancelOrder'; //处理订单为已完成 P
        /**申诉详情**/
        this.appealDetailList = url + '/appealDetail/list'; //查询申诉详情列表 G
        /**申诉图片**/
        this.appealImgList = url + '/appealImg/list'; //查询申诉图片列表 G
        /**资金变动**/
        this.billList = url + '/bill/list'; //查询资金变动列表 G
        /**币种信息**/
        this.coinList = url + '/coin/list'; //查询币种信息列表 G
        this.updateCoin = url + '/coin/update'; //更新币种信息 P
        /**配置信息**/
        this.configList = url + '/config/list'; //查询配置信息列表 G
        this.updateConfig = url + '/config/update'; //更新配置信息 P
        /**用户成交统计**/
        this.dealStatsList = url + '/dealStats/list'; //查询用户成交统计列表 G
        /**用户支付信息**/
        this.userPayInfoList = url + '/userPayInfo/list'; //查询用户支付信息列表 G
        /**** 日志相关 ****/
        /**广告操作日志**/
        this.adHandleLogList = url + '/adHandleLog/list'; //查询广告操作日志列表 G
        /**申诉操作日志**/
        this.appealHandleLogList = url + '/appealHandleLog/list'; //查询申诉操作日志列表 G
        /**币种操作日志**/
        this.coinHandleLogList = url + '/coinHandleLog/list'; //查询币种信息操作日志列表 G
        /**配置操作日志**/
        this.configHandleLogList = url + '/configHandleLog/list'; //查询配置信息操作日志列表 G
        /**用户操作日志**/
        this.userHandleLogList = url + '/userHandleLog/list'; //查询用户操作日志列表 G
        /**市商申请操作日志**/
        this.marketApplyLogList = url + '/marketApplyLog/list'; //查询市商申请操作日志列表 G
        /**市商用户操作日志**/
        this.marketUserLogList = url + '/marketUserLog/list'; //查询市商用户操作日志列表 G
        /**** 市商相关 ****/
        this.marketUserList = url + '/marketUser/list'; //查询市商用户列表 G
        this.marketFreezeList = url + '/marketFreeze/list'; //查询保证金列表 G
        this.marketApplyList = url + '/marketApply/list'; //查询市商申请列表 G
        this.marketApplyById = url + '/marketApply/getById'; //根据市商申请id查询 G
        this.agreeApply = url + '/marketApply/agreeApply'; //同意申请 P
        this.rejectApply = url + '/marketApply/rejectApply'; //驳回申请 P
        this.cancelMarketUser = url + '/marketUser/cancelMarketUser'; //取消用户市商身份 P
        this.becomeMarketUser = url + '/marketUser/becomeMarketUser'; //恢复用户市商身份 P
        this.insertMarketUser = url + '/marketUser/insertMarketUser'; //新增市商用户 P

    }

    handleAgreeApply(params) {
        return axios.post(this.agreeApply, qs.stringify(params)).then(res => res.data);
    }

    handleRejectApply(params) {
        return axios.post(this.rejectApply, qs.stringify(params)).then(res => res.data);
    }

    handleCancelMarketUser(params) {
        return axios.post(this.cancelMarketUser, qs.stringify(params)).then(res => res.data);
    }

    handleBecomeMarketUser(params) {
        return axios.post(this.becomeMarketUser, qs.stringify(params)).then(res => res.data);
    }

    handleInsertMarketUser(params) {
        return axios.post(this.insertMarketUser, qs.stringify(params)).then(res => res.data);
    }

    getMarketApplyLogList(params) {
        return axios.get(this.marketApplyLogList, {
            params: params
        }).then(res => res.data);
    }

    getMarketApplyById(params) {
        return axios.get(this.marketApplyById, {
            params: params
        }).then(res => res.data);
    }

    getMarketUserLogList(params) {
        return axios.get(this.marketUserLogList, {
            params: params
        }).then(res => res.data);
    }

    getMarketUserList(params) {
        return axios.get(this.marketUserList, {
            params: params
        }).then(res => res.data);
    }

    getMarketFreezeList(params) {
        return axios.get(this.marketFreezeList, {
            params: params
        }).then(res => res.data);
    }

    getMarketApplyList(params) {
        return axios.get(this.marketApplyList, {
            params: params
        }).then(res => res.data);
    }

    getAdList(params) {
        return axios.get(this.adList, {
            params: params
        }).then(res => res.data);
    }

    handleCancelAd(params) {
        return axios.post(this.cancelAd, qs.stringify(params)).then(res => res.data);
    }

    getOrderList(params) {
        return axios.get(this.orderList, {
            params: params
        }).then(res => res.data);
    }

    getOrderByOrderNumber(params) {
        return axios.get(this.orderByOrderNumber, {
            params: params
        }).then(res => res.data);
    }

    getOrderByAdId(params) {
        return axios.get(this.orderByAdId, {
            params: params
        }).then(res => res.data);
    }

    getAppealList(params) {
        return axios.get(this.appealList, {
            params: params
        }).then(res => res.data);
    }

    handleFinishOrder(params) {
        return axios.post(this.finishOrder, qs.stringify(params)).then(res => res.data);
    }

    handleCancelOrder(params) {
        return axios.post(this.cancelOrder, qs.stringify(params)).then(res => res.data);
    }

    getAppealDetailList(params) {
        return axios.get(this.appealDetailList, {
            params: params
        }).then(res => res.data);
    }

    getAppealImgList(params) {
        return axios.get(this.appealImgList, {
            params: params
        }).then(res => res.data);
    }

    getBillList(params) {
        return axios.get(this.billList, {
            params: params
        }).then(res => res.data);
    }

    getCoinList(params) {
        return axios.get(this.coinList, {
            params: params
        }).then(res => res.data);
    }

    handleUpdateCoin(params) {
        return axios.post(this.updateCoin, qs.stringify(params)).then(res => res.data);
    }

    getConfigList(params) {
        return axios.get(this.configList, {
            params: params
        }).then(res => res.data);
    }

    handleUpdateConfig(params) {
        return axios.post(this.updateConfig, qs.stringify(params)).then(res => res.data);
    }

    getDealStatsList(params) {
        return axios.get(this.dealStatsList, {
            params: params
        }).then(res => res.data);
    }

    getUserPayInfoList(params) {
        return axios.get(this.userPayInfoList, {
            params: params
        }).then(res => res.data);
    }

    getAdHandleLogList(params) {
        return axios.get(this.adHandleLogList, {
            params: params
        }).then(res => res.data);
    }

    getAppealHandleLogList(params) {
        return axios.get(this.appealHandleLogList, {
            params: params
        }).then(res => res.data);
    }

    getCoinHandleLogList(params) {
        return axios.get(this.coinHandleLogList, {
            params: params
        }).then(res => res.data);
    }

    getConfigHandleLogList(params) {
        return axios.get(this.configHandleLogList, {
            params: params
        }).then(res => res.data);
    }

    getUserHandleLogList(params) {
        return axios.get(this.userHandleLogList, {
            params: params
        }).then(res => res.data);
    }

}

export default Otc;