import axios from "axios";
import qs from "qs";

class Wallet{
    constructor(url) {
        /*充值记录*/
        this.listInSuccess = url + '/inTx/success'; //充值成功记录 P
        this.listInError = url + '/inTx/error'; //充值异常记录 P
        this.listInAll = url + '/inTx/all'; //全部充值记录 P
        this.selectInById = url + '/inTx/selectById'; //根据id查询充值记录 P
        /*提现记录*/
        this.listOutCheck = url + '/outTx/check'; //待审核提现记录 P
        this.listOutRecheck = url + '/outTx/recheck'; //待复审提现记录 P
        this.listOutPack = url + '/outTx/pack'; //提现打包记录 P
        this.listOutSuccess = url + '/outTx/success'; //提现成功记录 P
        this.listOutError = url + '/outTx/error'; //提现异常记录 P
        this.listOutReject = url + '/outTx/reject'; //提现驳回记录 P
        this.listOutAll = url + '/outTx/all'; //全部提现记录 P
        this.selectOutById = url + '/outTx/selectById'; //根据id查询提现记录
        /*获取币种信息*/
        this.listCoin = url + '/coin/all'; //查询所有币种信息
        /*提现审核*/
        this.checkPass = url + '/outTx/checkPass'; //通过初审
        this.recheckPass = url + '/outTx/recheckPass'; //通过复审
        this.packSuccess = url + "/outTx/packSuccess"; //出币成功
        this.packError = url + "/outTx/packError"; //出币失败
        this.handleReject = url + "/outTx/goReject"; //驳回
        /*查询所有统计记录的详情信息*/
        this.totalAllById = url + '/total/all'; //查询所有统计记录的详情信息
        this.totalSaveApi = url + '/total/save'; //更正统计记录的资金
        this.totalTotalApi = url + '/total/total'; //统计当前的详情信息
        /*总的资金平衡*/
        this.countTotalAllApi = url + '/countTotal/all'; //查询所有统计记录的详情信息
        this.countTotalTotalApi = url + '/countTotal/total'; //统计当前的详情信息

        /*获取所有用户钱包信息*/
        this.listWallet = url +"/wallet/all"; // 查询所有的钱包用户信息
        this.listCCTWallet = url +"/wallet/cct"; // 查询所有的钱包用户信息
        this.amountAdd = url +"/wallet/add"; // 余额增加
        this.amountSud = url +"/wallet/sud"; // 余额减少

        /*获取区块链的信息*/
        this.listWalletBlock = url + "/walletBlock/all"; // 获取链上信息
        this.getGas = url + "/walletBlock/getGas"; //获取手续费
        this.addGas = url + "/walletBlock/addGas"; //获取手续费
        this.goTx = url + "/walletBlock/goTx"; // 转账
        this.totalBtc = url +"/walletBlock/totalBtc"; // 获取BTC资产信息
        this.gasWallet = url +"/walletBlock/getGasWallet"; // 获取BTC油费钱包
        this.selectBtc = url + "/walletBlock/getBtc"; //获取BTC
        this.goBtcTx = url + "/walletBlock/goBtcTx" ; //归集BTC

        //提现手续费
        this.listConfigWallet = url + '/eth/gas/ethConfigWalletParamList'; //查询提现手续费列表
        this.updateConfigWallet = url + '/eth/gas/updateConfigWallet'; //修改提现手续费
        //账户管理
        //发币
        this.WalletOutList = url + '/walletOut/list'; //发币账户
        this.delWalletOut = url + '/walletOut/delete'; //发币账户删除
        this.insertWalletOut = url + '/walletOut/insert'; //发币账户新增
        //充币
        this.WalletInList = url + '/walletIn/list'; //发币账户
        this.delWalletIn = url + '/walletIn/delete'; //发币账户删除
        this.insertWalletIn = url + '/walletIn/insert'; //发币账户新增
        this.updWalletIn = url + '/walletIn/update'; //发币账户编辑

        //冻结解冻
        this.blockBalanceApi = url + '/block/blockBalance';//冻结
        this.unblockBalanceApi = url + '/block/unblockBalance';//解冻
        this.selectBlockTotalApi = url + '/block/selectTotal';//查询最大解冻数额

    }
    getListInSuccess(params) {
        return axios.post(this.listInSuccess, qs.stringify(params)).then(res => res.data);
    }
    getListInError(params) {
        return axios.post(this.listInError, qs.stringify(params)).then(res => res.data);
    }
    getListInAll(params) {
        return axios.post(this.listInAll, qs.stringify(params)).then(res => res.data);
    }
    getInById(params) {
        return axios.get(this.selectInById, {
            params: params
        }).then(res => res.data);
    }
    getListOutCheck(params) {
        return axios.post(this.listOutCheck, qs.stringify(params)).then(function(res) {
            console.log(res.data);
            return res.data;
        });
    }
    getListOutRecheck(params) {
        return axios.post(this.listOutRecheck, qs.stringify(params)).then(res => res.data);
    }
    getListOutPack(params) {
        return axios.post(this.listOutPack, qs.stringify(params)).then(res => res.data);
    }
    getListOutSuccess(params) {
        return axios.post(this.listOutSuccess, qs.stringify(params)).then(res => res.data);
    }
    getListOutError(params) {
        return axios.post(this.listOutError, qs.stringify(params)).then(res => res.data);
    }
    getListOutReject(params) {
        return axios.post(this.listOutReject, qs.stringify(params)).then(res => res.data);
    }
    getListOutAll(params) {
        return axios.post(this.listOutAll, qs.stringify(params)).then(res => res.data);
    }
    getOutById(params) {
        return axios.get(this.selectOutById, {
            params: params
        }).then(res => res.data);
    }
    getCoinAll(){
        return axios.get(this.listCoin).then(res => res.data);
    }
    totalAll(params){
        return axios.get(this.totalAllById, {  params: params  }).then(res => res.data);
    }
    totalSave(params){
        return axios.post(this.totalSaveApi, qs.stringify(params)).then(res => res.data);
    }
    totalTotal(params){
        return axios.post(this.totalTotalApi, qs.stringify(params)).then(res => res.data);
    }
    countTotalAll(){
        return axios.get(this.countTotalAllApi).then(res => res.data);
    }
    countTotalTotal(){
        return axios.post(this.countTotalTotalApi).then(res => res.data);
    }
    goCheckPass(params){
        return axios.post(this.checkPass, qs.stringify(params)).then(res => res.data);
    }
    goRecheckPass(params){
        return axios.post(this.recheckPass, qs.stringify(params)).then(res => res.data);
    }
    goPackSuccess(params){
        console.log(params);
        console.log(this.packSuccess);
        return axios.post(this.packSuccess, qs.stringify(params)).then(res => res.data);
    }
    goPackError(params){
        return axios.post(this.packError, qs.stringify(params)).then(res => res.data);
    }
    goReject(params){
        return axios.post(this.handleReject, qs.stringify(params)).then(res => res.data);
    }

    getWalletAll(params) {
        return axios.post(this.listWallet, qs.stringify(params)).then(res => res.data);
    }
    getWalletBlockAll(params) {
        return axios.post(this.listWalletBlock, qs.stringify(params)).then(res => res.data);
    }
    getTxGas(params) {
        return axios.post(this.getGas, qs.stringify(params)).then(res => res.data);
    }
    goAddGas(params) {
        return axios.post(this.addGas, qs.stringify(params)).then(res => res.data);
    }

    handleTx(params) {
        return axios.post(this.goTx, qs.stringify(params)).then(res => res.data);
    }
    getTotalBtc(){
        return axios.get(this.totalBtc).then(res => res.data);
    }
    getGasWallet(){
        return axios.get(this.gasWallet).then(res => res.data);
    }
    getBtc(params){
        return axios.get(this.selectBtc, {params: params}).then(res => res.data);
    }
    handleBtcTx(params){
        return axios.post(this.goBtcTx, qs.stringify(params)).then(res => res.data);
    }
    getWalletBlockAll(params) {
        return axios.post(this.listWalletBlock, qs.stringify(params)).then(res => res.data);
    }
    getCCTWalletAll(params) {
        return axios.post(this.listCCTWallet, qs.stringify(params)).then(res => res.data);
    }
    handleAmountAdd(params) {
        return axios.post(this.amountAdd, qs.stringify(params)).then(res => res.data);
    }
    handleAmountSud(params) {
        return axios.post(this.amountSud, qs.stringify(params)).then(res => res.data);
    }
    getConfigWallet(){
        return axios.get(this.listConfigWallet).then(res => res.data);
    }
    updConfigWallet(params){
        return axios.post(this.updateConfigWallet,qs.stringify(params)).then(res => res.data);
    }
    getWalletOutList(params){
        return axios.get(this.WalletOutList,{params:params}).then(res => res.data);
    }
    delWalletOutById(params){
        return axios.post(this.delWalletOut,qs.stringify(params)).then(res => res.data);
    }
    addWalletOut(params){
        return axios.post(this.insertWalletOut,qs.stringify(params)).then(res => res.data);
    }
    getWalletInList(params){
        return axios.get(this.WalletInList,{params:params}).then(res => res.data);
    }
    delWalletInById(params){
        return axios.post(this.delWalletIn,qs.stringify(params)).then(res => res.data);
    }
    addWalletIn(params){
        return axios.post(this.insertWalletIn,qs.stringify(params)).then(res => res.data);
    }
    editWalletIn(params){
        return axios.post(this.updWalletIn,qs.stringify(params)).then(res => res.data);
    }
    blockBalance(params){
        return axios.post(this.blockBalanceApi,qs.stringify(params)).then(res => res.data);
    }
    unblockBalance(params){
        return axios.post(this.unblockBalanceApi,qs.stringify(params)).then(res => res.data);
    }
    selectBlockTotal(params){
        return axios.get(this.selectBlockTotalApi,{params:params}).then(res => res.data);
    }

}

export default {
    getWellet(url){
        return new Wallet(url);
    }
}