import curRoutes from '@/common/js/testR.js';  //用户当前路由  测试
import Utils from '@/common/js/utils.js';

// 实训案例管理主页
const TrainHome = resolve => require(['@/views/TrainHome.vue'], resolve)
const CaseList = resolve => require(['@/views/train/case-list.vue'], resolve)
const CaseDetail = resolve => require(['@/views/train/case-detail.vue'], resolve)

//
const Login = resolve => require(['@/views/Login.vue'], resolve)
const NotFound = resolve => require(['@/views/404.vue'], resolve)
const Home = resolve => require(['@/views/Home.vue'], resolve)
const Main = resolve => require(['@/views/Main.vue'], resolve)

// 用户管理 start
const UserList = resolve => require(['@/views/user/user-list.vue'], resolve)
const UserAsset = resolve => require(['@/views/user/user-asset.vue'], resolve)
const UserDetail = resolve => require(['@/views/user/user-detail.vue'], resolve)
const Certification = resolve => require(['@/views/user/certification.vue'], resolve)
const BlackList = resolve => require(['@/views/user/black-list.vue'], resolve)
const WhiteList = resolve => require(['@/views/user/white-list.vue'], resolve)
const LoginRecord = resolve => require(['@/views/user/login-record.vue'], resolve)
const AssetDetail = resolve => require(['@/views/user/asset-detail.vue'], resolve)
const CertifyDetail = resolve => require(['@/views/user/certify-detail.vue'], resolve)
// const ErrorRecord = resolve => require(['@/views/user/error-record.vue'], resolve)

// 用户管理 end

// 订单管理  -start

const BCoinList = resolve => require(['@/views/order/b-coin-list.vue'], resolve)
const BCoinListDetail = resolve => require(['@/views/order/b-coin-list-detail.vue'], resolve)
const BCoinHistoryList = resolve => require(['@/views/order/b-coin-history-list.vue'], resolve)
const BCoinHistoryListDetail = resolve => require(['@/views/order/b-coin-history-list-detail.vue'], resolve)
// const FCoinAdvertList = resolve => require(['@/views/order/f-coin-advert-list.vue'], resolve)
// const FCoinAppealList = resolve => require(['@/views/order/f-coin-appeal-list.vue'], resolve)
// const FCoinOrderList = resolve => require(['@/views/order/f-coin-order-list.vue'], resolve)

// 订单管理  -end

// 管理管理  --start

const Role = resolve => require(['@/views/manager/role.vue'], resolve)
const Manager = resolve => require(['@/views/manager/manager.vue'], resolve)
const Authority = resolve => require(['@/views/manager/authority.vue'], resolve)
const AuthorityTree = resolve => require(['@/views/manager/authority-tree.vue'], resolve)

// 管理员管理  --end

// 费用管理  --start

const Ratio = resolve => require(['@/views/cost/ratio.vue'], resolve)
const Withdraw = resolve => require(['@/views/cost/withdraw.vue'], resolve)

// 费用管理  --end

// 资金管理  --start
const CapitalWithdraw = resolve => require(['@/views/capital/capital-withdraw.vue'], resolve)
const WithdrawDetail = resolve => require(['@/views/capital/withdraw-detail.vue'], resolve)
const WaitFirstExam = resolve => require(['@/views/capital/wait-first-exam.vue'], resolve)
const FirstExamDetail = resolve => require(['@/views/capital/first-exam-detail.vue'], resolve)
const WaitAgainExam = resolve => require(['@/views/capital/wait-again-exam.vue'], resolve)
const AgainExamDetail = resolve => require(['@/views/capital/again-exam-detail.vue'], resolve)
const WaitOut = resolve => require(['@/views/capital/wait-out.vue'], resolve)
const ErrorOut = resolve => require(['@/views/capital/error-out.vue'], resolve)
const Recharge = resolve => require(['@/views/capital/recharge.vue'], resolve)
const Wallet = resolve => require(['@/views/capital/wallet.vue'], resolve)
const BBAccount = resolve => require(['@/views/capital/bb-account.vue'], resolve)
const Chain = resolve => require(['@/views/capital/chain.vue'], resolve)
const Statistics = resolve => require(['@/views/capital/statistics.vue'], resolve)
const Balance = resolve => require(['@/views/capital/balance.vue'], resolve)
const Operation = resolve => require(['@/views/capital/operation.vue'], resolve)

// 资金管理  --end

// 商家管理  --start
// const BusinessCertify = resolve => require(['@/views/business/business-certify.vue'], resolve)
// const PlatformCertify = resolve => require(['@/views/business/platform-certify.vue'], resolve)
// const CertifyRecord = resolve => require(['@/views/business/certify-record.vue'], resolve)
// const BusinessDetail = resolve => require(['@/views/business/business-detail.vue'], resolve)

// 商家管理  --end

// 币种管理  --start
const CurrencyList = resolve => require(['@/views/currency/currency-list.vue'], resolve)
const AddCurrency = resolve => require(['@/views/currency/add-currency.vue'], resolve)
const CurrencyPairList = resolve => require(['@/views/currency/currency-pair-list.vue'], resolve)
const AddCurrencyPair = resolve => require(['@/views/currency/add-currency-pair.vue'], resolve)
const CurrencyTrade = resolve => require(['@/views/currency/trade.vue'], resolve)
const TradeAdd = resolve => require(['@/views/currency/trade-add.vue'], resolve)

// 币种管理  --end

// 系统管理  --start
const Version = resolve => require(['@/views/system/version.vue'], resolve)
const SystemApi = resolve => require(['@/views/system/system-api.vue'], resolve)
const Automaticdata = resolve => require(['@/views/system/automaticdata.vue'], resolve)


let routes = [
    {
        path: '/login',
        component: Login,
        name: 'Login',
        hidden: true
    },
    {
        path: '/train',
        component: TrainHome,
        name: 'train',
        hidden: true,
        children: [
            {path: '/train/case/list', component: CaseList, name: 'CaseList', meta: {Name: '案例列表'}},
            {path: '/train/case/detail', component: CaseDetail, name: 'CaseDetail', meta: {Name: '案例详情'}}
        ]
    },
    {
        path: '/404',
        component: NotFound,
        name: 'error',
        hidden: true
    },
    {
        path: '*',
        hidden: true,
        redirect: {path: '/404'}
    },
    {
        path: '/',
        component: Home,
        name: 'Index',
        iconCls: 'el-icon-message',
        hidden: true,
        meta: {
            Name: '主页'
        },
        children: [
            {path: '/', component: Main, name: 'index', meta: {Name: '主页'}}
        ]
    },

];
/**
 * //用户的路由  暂时屏蔽  默认全部路由
 */
if (sessionStorage.getItem('user')) {
    let menuList = JSON.parse(sessionStorage.getItem('user')).menuList;
    routes = routes.concat(Utils.getRoutes(menuList));  //用户的路由表
}


// routes = routes.concat(Utils.getRoutes(curRoutes)); //全部路由
// Utils.getRoutes(curRoutes)
// console.log(routeList)
export default routes;