import Vue from 'vue'
import Vuex from 'vuex'
import * as actions from './actions'
import * as getters from './getters'

Vue.use(Vuex)

// 应用初始状态
const state = {
    count: 10,
    token:null,
    userInfo:null,
    userOtherAuth:null,
    account:null
}

// 定义所需的 mutations
const mutations = {
    INCREMENT(state,num) {
        state.count+num;
    },
    DECREMENT(state) {
        state.count--
    },
    SAVETOKEN(state,obj){
        state.token = obj;
    },
    SAVEUSERINFO(state,obj){
        state.userInfo = obj;
    },
    SAVEUSEROTHERAUTH(state,arr){
        state.userOtherAuth = arr;
    },
    SAVEACCOUNT(state,str){
        state.account = str;
    }
}

// 创建 store 实例
export default new Vuex.Store({
    actions,
    getters,
    state,
    mutations
})